﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Oak
{
    class Areceber : IComparable<Areceber>
    {
        string nome;
        string tipo;
        string documento;
        string telefone;
        string data;
        float total;
        public Areceber(string nome, string tipo, string documento, string telefone, string data, float total)
        {
            this.nome = nome;
            this.tipo = tipo;
            this.documento = documento;
            this.telefone = telefone;
            this.data = data;
            this.total = total;
        }
        public override string ToString()
        {
            return (nome + ";" + tipo + ";" + documento + ";" + telefone + ";"+ data + ";R$ " + string.Format("{0:n2}", total));
        }

        public int CompareTo(Areceber comparePart)
        {
            // A null value means that this object is greater. 
            if (comparePart == null)
                return 1;

            else
                return this.nome.CompareTo(comparePart.nome);
        }


    }
}
