﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.IO;

namespace Oak
{
    static class Arq
    {
        public static List<string[]> Ler(string nomeArquivo)
        {
            Stream entrada = File.Open(nomeArquivo, FileMode.Open);
            StreamReader leitor = new StreamReader(entrada);
            List<string[]> retorno = new List<string[]>();
            string linha;
            string[] splitline;
            if (!leitor.EndOfStream)
                linha = leitor.ReadLine();//leitura do cabeçalho
            while (!leitor.EndOfStream)
            {
                linha = leitor.ReadLine();
                splitline = linha.Split(';');
                retorno.Add(splitline);
            }
            leitor.Close();
            entrada.Close();
            return retorno;
        }

        public static void Escrever(string nomeArquivo, List<dynamic> lista, string cabecalho)
        {
            Stream saida = File.Open(nomeArquivo, FileMode.Create);
            StreamWriter escritor = new StreamWriter(saida);
            escritor.WriteLine(cabecalho);
            foreach (dynamic aux in lista)
            {
                escritor.WriteLine(aux);
                Console.WriteLine(aux);
            }
            escritor.Close();
            saida.Close();
        }

    }
}
