﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Oak
{
    class Apagar : IComparable<Apagar>
    {
        public string nome;
        public string cnpj;
        public string pessoaContato;
        public string telefone;
        public float total;

        public Apagar(string nome, string cnpj, string pessoaContato, string telefone, float total)
        {
            this.nome = nome;
            this.cnpj = cnpj;
            this.pessoaContato = pessoaContato;
            this.telefone = telefone;
            this.total = total;
        }
        public override string ToString()
        {
            return (nome + ";" + cnpj + ";" + pessoaContato + ";" + telefone + ";R$ " + string.Format("{0:n2}", total));
        }

        public int CompareTo(Apagar comparePart)
        {
            // A null value means that this object is greater. 
            if (comparePart == null)
                return 1;

            else
                return this.nome.CompareTo(comparePart.nome);
        }
    }
}
