﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Oak
{
    class Compra
    {
        public int notaFiscal;
        public int fornecedor;
        public string data;
        public int produto;
        public int quantidade;

        public Compra(int notaFiscal, int fornecedor, string data, int produto, int quantidade)
        {
            this.notaFiscal = notaFiscal;
            this.fornecedor = fornecedor;
            this.data = data;
            this.produto = produto;
            this.quantidade = quantidade;
        }
        public static bool operator ==(Compra c, Fornecedor f)
        {
            return c.fornecedor == f.codigo;
        }
        public static bool operator !=(Compra c, Fornecedor f)
        {
            return c.fornecedor != f.codigo;
        }
        public static bool operator ==(Compra c, Produto p)
        {
            return c.produto == p.codigo;
        }
        public static bool operator !=(Compra c, Produto p)
        {
            return c.produto != p.codigo;
        }
    }
}
