﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Oak
{
    class Venda
    {
        public int cliente;
        public string data;
        public int produto;
        public int quantidade;

        public Venda(int cliente, string data, int produto, int quantidade)
        {
            this.cliente = cliente;
            this.data = data;
            this.produto = produto;
            this.quantidade = quantidade;
        }

        public static bool operator ==(Venda v, Cliente c)
        {
            return v.cliente == c.codigo;
        }
        public static bool operator !=(Venda v, Cliente c)
        {
            return v.cliente != c.codigo;
        }
        public static bool operator ==(Venda v, Produto p)
        {
            return v.produto == p.codigo;
        }
        public static bool operator !=(Venda v, Produto p)
        {
            return v.produto != p.codigo;
        }
    }
}
